## flvdemux

flvdemux — Demux FLV feeds into digital streams

## Types and Values

struct | GstFlvDemux

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstFlvDemux

## Description

flvdemux demuxes an FLV file into the different contained streams.

### Example launch line

    1

    gst-launch-1.0 -v filesrc location=/path/to/flv ! flvdemux ! audioconvert ! autoaudiosink

This pipeline demuxes an FLV file and outputs the contained raw audio streams.

## Synopsis

### Element Information

plugin | flv
author | Julien Moutte <julien@moutte.net>
class | Codec/Demuxer

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-flv

name | audio
direction | source
presence | sometimes
details | audio/x-adpcm, layout=(string)swf, channels=(int){ 1, 2 }, rate=(int){ 5512, 11025, 22050, 44100 }
| audio/mpeg, mpegversion=(int)1, layer=(int)3, channels=(int){ 1, 2 }, rate=(int){ 5512, 8000, 11025, 22050, 44100 }, parsed=(boolean)true
| audio/mpeg, mpegversion=(int)4, stream-format=(string)raw, framed=(boolean)true
| audio/x-nellymoser, channels=(int){ 1, 2 }, rate=(int){ 5512, 8000, 11025, 16000, 22050, 44100 }
| audio/x-raw, format=(string){ U8, S16LE }, layout=(string)interleaved, channels=(int){ 1, 2 }, rate=(int){ 5512, 11025, 22050, 44100 }
| audio/x-alaw, channels=(int){ 1, 2 }, rate=(int){ 5512, 11025, 22050, 44100 }
| audio/x-mulaw, channels=(int){ 1, 2 }, rate=(int){ 5512, 11025, 22050, 44100 }
| audio/x-speex, channels=(int)1, rate=(int)16000

name | video
direction | source
presence | sometimes
details | video/x-flash-video, flvversion=(int)1
| video/x-flash-screen
| video/x-vp6-flash
| video/x-vp6-alpha
| video/x-h264, stream-format=(string)avc

## Functions

## Types and Values

### struct GstFlvDemux

    struct GstFlvDemux;